import com.ibm.xml.parser.TXDocument;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Text;
import org.w3c.dom.ProcessingInstruction;
import java.io.PrintWriter;
import java.io.FileOutputStream;

public class MakeXmlDocument
{
	public static void main(String[] argv)
	{
	try
	{
		Document doc=(Document)Class.forName("com.ibm.xml.parser.TXDocument").newInstance();
		Element root=doc.createElement("person");
		Element item=doc.createElement("name");
		item.appendChild(doc.createTextNode("Sultan Abdul Kader"));
		root.appendChild(item);

		root.appendChild(doc.createComment("Processing Instruction for Application")); 
		root.appendChild(doc.createProcessingInstruction("parser","ignoreNextLine"));
		
		item=doc.createElement("age");
		item.appendChild(doc.createTextNode("25"));
		root.appendChild(item);

		item=doc.createElement("Telephone");
                item.appendChild(doc.createTextNode("443-4482"));
                root.appendChild(item);   

		item=doc.createElement("email");
		item.appendChild(doc.createTextNode("saabdulj@syr.edu"));
		root.appendChild(item);
		
		item=doc.createElement("url");
		item.setAttribute("href","http://www.ecs.syr.edu/~saabdulj/");
		item.appendChild(doc.createTextNode("Click Here you view my web page"));
		root.appendChild(item);

		doc.appendChild(root);

		((TXDocument)doc).setVersion("1.0");
		((TXDocument)doc).printWithFormat(new PrintWriter(System.out));
		((TXDocument)doc).printWithFormat(new PrintWriter(new FileOutputStream("Example.xml")));
	}
	catch(Exception e)
	{
		e.printStackTrace();
	}
	}
}
